Description

Regardless of whether Orgs/Locs are enabled, in release 1.7.2 and prior, the OS Distribution graphic's clickable slices at times

produce invalid search queries producing an empty search result.

Cases I have discovered seem to all be where the length of the label string is shorted with ellipses.

Examples:

os_title="SUSE Linux En..."

os_title="Solaris 5.10 ..."

os_title="Oracle Linux ..."

In addition, the graphic itself often produces multiple slices that appear to be identical due to the shortening that produces the

problematic searches.  I run Multiple versions of Oracle Linux 5 and 6 as the primary OS in my environment (111/180 systems).  The

OS Distribution Graphic shows four different slices all producing the same os_title="Oracle Linux ..." search query, leave me unable

to identify which version the slice refers to.

Screen Shots of the Oracle Linux problem case are provided.

Related issues:

Related to Foreman - Bug #8043: Statistics link to OS is wrong Closed 10/23/2014

Has duplicate Foreman - Bug #10213: Stats graph truncates long OS descriptions. Duplicate 04/20/2015

Has duplicate Foreman - Bug #10953: Statistics page for OS Distribution only ... Duplicate 06/30/2015

Has duplicate Foreman - Bug #16047: Links under Monitor -> Statistics are not... Duplicate 08/10/2016

History

#1 - 02/05/2015 04:19 AM - Dominic Cleal

- Related to Bug #8043: Statistics link to OS is wrong added

#2 - 04/21/2015 03:21 AM - Dominic Cleal

- Has duplicate Bug #10213: Stats graph truncates long OS descriptions. added

#3 - 06/30/2015 08:04 AM - Dominic Cleal

- Has duplicate Bug #10953: Statistics page for OS Distribution only shows abbreviated os descriptions and uses them for search as well  added

#4 - 03/02/2016 04:25 AM - Magnus Svensson

This bug still bites me on 1.10.2.

#5 - 08/10/2016 10:32 AM - Dominic Cleal

- Has duplicate Bug #16047: Links under Monitor -> Statistics are not working properly added

#6 - 08/11/2016 02:29 PM - Bryan Kearney

- Bugzilla link set to 1234902
#7 - 03/05/2017 03:45 AM - Ohad Levy

- Status changed from New to Resolved

I can no longer reproduce this on latest versions, the statistics page has been rewritten in 1.14.

Please re-open if you can reproduce - thanks!
